+ Responder ao Tópico



  1. #1

    Padrão Duvida Instalação e Configuração PovRay

    Boa tarde!!!

    Sou novo aki no forum, até me familiarizar, peco desculpa se estiver seguindo o caminho errado das perguntas a serem realizadas e o local onde são feitas.
    Estou desenvolvendo um trabalho da Faculdade montando um Cluster Beowolf seguindo o Livro do Marcos Pitanga: "Construindo Supercomputadores com Linux" e na Instalaçao do PovRay nao vai mais, se alguem puder me ajudar, agradeço o erro é o seguinte:

    mpicc -O6 -finline-functions -ffast-math -c -ansi -m386 -DCPU=686 -DCOMPILER_VER=\".`uname`.mpicc\" -DPOV_LIB_DIR=\"/usr/local/lib/povray31\" -I. -I.. -I../libpng -I../zlib -I../mpipov ../atmosph.c

    cc1: error: unrecognized command line option "-m386"

    mpicc: No such file or directory

    make: ** [atmosph.o] Erro 1



    Desde ja agradeco.

  2. #2

    Padrão

    Amigo não conheço muito bem este livro, mas pelo erro você esta tentando usar um parâmetro inexistente. Verifique a saída do comando, algumas vezes a versão que utilizamos não é exatamente a mesma apresentada na época do desenvolvimento do livro.



  3. #3

    Padrão

    Coloquei algum literatura sobre clusters em blog, se você se interessar:

    Linux Clustering: Building and Maintaining Linux Clusters
    Projeto Cultura Livre: Linux Clustering: Building and Maintaining Linux Clusters

    Linux Cluster Architecture (Kaleidoscope)
    http://acessolivrecultura.blogspot.com/2009/11/linux-cluster-architecture-kaleidoscope.html

    Espero que ajude.

  4. #4

    Padrão

    tenta

    mpicc -O6 -finline-functions -ffast-math -c -ansi -mi386 -DCPU=686 -DCOMPILER_VER=\".`uname`.mpicc\" -DPOV_LIB_DIR=\"/usr/local/lib/povray31\" -I. -I.. -I../libpng -I../zlib -I../mpipov ../atmosph.c



  5. #5

    Padrão

    Mario, boa tarde!
    Tentei instalar a versao mais antiga do PovRay 3.1 e nada.

    Estou indo apresentar esse trabalho, apenas com o cluster funcionando, mesmo, ja nao da mais tempo de fazer nada.

    Mais desde ja agradeço sua colaboração e atenção.
    As leituras que vc postou, estava dando uma olhada, são boas mesmo, o blog em si que vc me enviou para leitura é de grande utilidade. Obrigado

  6. #6

    Padrão

    Qual o tipo de processador que você está utilizando, de 32 ou 64 bits? Se for de 64 bits você tem que retirar o parâmetro -m386. Neste site tem mais informações sobre a instalação do povray em um Beowulf: PersistenceOfVisionRayTracer < Main < TWiki
    Última edição por mariam; 01-12-2009 às 22:21.



  7. #7

    Padrão

    Desculpe a demora a responder,

    Obrigado, sempre coloco livros de técnologia neste blog, precisando de algo é so dizer.

    Pena que não pude ajuda-lo, mas isso ai precisando posta ai.

    Flw.

    Citação Postado originalmente por WillianLima Ver Post
    Mario, boa tarde!
    Tentei instalar a versao mais antiga do PovRay 3.1 e nada.

    Estou indo apresentar esse trabalho, apenas com o cluster funcionando, mesmo, ja nao da mais tempo de fazer nada.

    Mais desde ja agradeço sua colaboração e atenção.
    As leituras que vc postou, estava dando uma olhada, são boas mesmo, o blog em si que vc me enviou para leitura é de grande utilidade. Obrigado

  8. #8

    Padrão

    Provavelmente o Povray3.1g pode ter alguma incompatibilidade com algumas bibliotecas mais novas.

    Como não tenho tempo atualmente para ver isso, pois este tipo de coisa demanda muito tempo e estou com muitos deployments de clusters HPC aqui na Sun Microsystems. Quando sobrar um tempinho ou vejo o que pode ser.

    Experimente as compat-libs se resolvem o problema.

    []'s